Subject: Re: bug#63578: 29.0.91; Org Cannot tangle with tramp using sudo

From: Kostadin Ninev <[email-masked]>
Date: Sat, 20 May 2023 08:30:50 +0000

After a lot of debugging I propose this patch which fixes the problem for 
me without observable side effects:

--- /usr/share/emacs/29.0.91/lisp/net/tramp.el  2023-05-18 
15:20:57.000000000 +0300
+++ tramp.el    2023-05-20 11:24:51.869320508 +0300
@@ -4621,7 +4621,7 @@
    (when-let ((hops (tramp-file-name-hop vec))
              (item vec))
      (dolist (proxy (reverse (split-string hops tramp-postfix-hop-regexp 
'omit)))
-      (let* ((host-port (tramp-file-name-host-port item))
+      (when-let* ((host-port (tramp-file-name-host-port item))
              (user-domain (tramp-file-name-user-domain item))
              (proxy (concat
                      tramp-prefix-format proxy tramp-postfix-host-format))

I realy hope this is fixed before the release of emacs 29.1. Let me know if 
I can anything else.-- 
Kostadin Ninev.